package com.huimv.env.admin.common.exception;

public enum ExceptionEnum implements MExceptionEnum{
   //自定义的状态码
   TOKEN_NULL("401","token为空"),
   TOKEN_OVERDUE("403","token过期"),
   VERIFCATION_FAID("410","验证码获取失败"),
   VERIFCATION_OVERDUE("411","验证码获取失败");


   //错误码
   public String code;
   //提示信息
   public String message;

   //构造函数
   ExceptionEnum(String code,String message){
      this.code = code;
      this.message = message;
   }

   //获取状态码
   @Override
   public String getCode(){
      return code;
   }
   
   //获取提示信息
   @Override
   public String getMessage(){
      return message;
   }
 
}